Page MenuHomePhabricator

Non-breaking space should be the thousand separator for Galician (gl)
Closed, DeclinedPublic

Description

Non-breaking space (  or  ) should be configured as the thousand separator for Galician language.

Consensus for gl.wikipedia can be found here, but this change should be applied globally.


Currently shown:

{{formatnum:1234567.89}} → 1.234.567,89

Expected:

{{formatnum:1234567.89}} → 1 234 567,89

Event Timeline

abian created this task.Mar 28 2015, 6:32 PM
abian raised the priority of this task from to Normal.
abian updated the task description. (Show Details)
abian added a subscriber: abian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2015, 6:32 PM
abian updated the task description. (Show Details)Mar 28 2015, 6:33 PM
abian set Security to None.
Aklapper raised the priority of this task from Normal to Needs Triage.Mar 30 2015, 10:05 AM

http://unicode.org/cldr/trac/browser/trunk/common/main/gl.xml#L3960 lists

<group>.</group>

and I think we stick to the CLDR definitions (someone from the Language Engineering team please correct me if I'm wrong).
Is there any literature to "challenge" the dot in Galician?

abian added a comment.EditedMar 30 2015, 10:58 AM

Unicode.org lists this as well for Spanish and other languages...

<group>.</group>

... but MediaWiki has configured the non-breaking space as the thousand separator following the recommendations of the Real Academia Española, ...

Al escribir números de más de cuatro cifras, se agruparán estas de tres en tres, empezando por la derecha, y separando los grupos por espacios en blanco: 8 327 451 (y no por puntos o comas, como, dependiendo de las zonas, se hacía hasta ahora: 8.327.451; 8,327,451).

... the Resolution 10 of the 22nd CGPM (2003) ...

reaffirms that "Numbers may be divided in groups of three in order to facilitate reading; neither dots nor commas are ever inserted in the spaces between groups", as stated in Resolution 7 of the 9th CGPM, 1948.

... and the consensus of the Wikimedia community.

Aklapper triaged this task as Normal priority.Apr 7 2015, 2:28 PM

Galician comunity have reached a consensus in this issue in base to the recomendation of the Bureau International des Poids et Mesures. At this moment we have a bot changing all dots separators to hard spaces to adapt all wikipedia to that recomendation. Bye.

abian added a comment.May 3 2015, 11:56 AM

Please do not forget this task, which should be simple to complete. The coexistence of different separators is confusing on this project.

Thanks.

siebrand closed this task as Declined.May 23 2015, 5:33 PM
siebrand claimed this task.
siebrand added a subscriber: siebrand.

MediaWiki i18n and L10n follows CLDR. As CLDR indicates that Galician uses a point (.) as thousand separator, that is what we use. Please contact the CLDR editor for your language if you think the standard is incorrect. This issue is declined.

abian added a comment.EditedMay 23 2015, 6:06 PM

Thanks for your answer, Siebrand.

If you follow CLDR, why so many exceptions right now, and why Galician cannot be another? Has MediaWiki i18n and L10n recently changed its policies about this?

The exceptions have been introduced mainly before we started following CLDR. No one has taken the time to actually start fixing whatever inconsistencies there are. We do try however to not introduce more exceptions and inconsistencies. This change request being rejected is an example of that. Thanks for your understanding.